package com.pas.web;

import org.springframework.validation.Errors;
import org.springframework.validation.ValidationUtils;
import org.springframework.validation.Validator;

public class ValidadorPPlaceForm implements Validator {

	@Override
    public boolean supports(Class<?> clazz) {     
        return PPlaceForm.class.equals(clazz); // clase del bean al que da soporte este validador
    }
	
	@Override
    public void validate(Object target, Errors errors) {
         
		PPlaceForm pPlaceForm = (PPlaceForm) target;
		
		// Validar los campos obligatorios
		ValidationUtils.rejectIfEmptyOrWhitespace(errors, "name", "field.name.required", 
				"El nombre es obligatorio");
		ValidationUtils.rejectIfEmptyOrWhitespace(errors, "country", "field.country.required", 
				"El país es obligatorio");
		ValidationUtils.rejectIfEmptyOrWhitespace(errors, "address", "field.address.required", 
				"La dirección es obligatorias");
		ValidationUtils.rejectIfEmptyOrWhitespace(errors, "city", "field.city.required", 
				"La ciudad es obligatoria");
		ValidationUtils.rejectIfEmptyOrWhitespace(errors, "zipCode", "field.zipCode.required", 
				"El C.P. es obligatorio");
    }
}